# DataExchange
TKIGES
IGESDimen

# IGESDimen_Array1OfLeaderArrow Class Reference

`#include <IGESDimen_Array1OfLeaderArrow.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IGESDimen_Array1OfLeaderArrow (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | IGESDimen_Array1OfLeaderArrow (const Handle(IGESDimen_LeaderArrow)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(IGESDimen_LeaderArrow)&V)
Standard_EXPORT void | Destroy ()
| ~IGESDimen_Array1OfLeaderArrow ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const IGESDimen_Array1OfLeaderArrow & | Assign (const IGESDimen_Array1OfLeaderArrow &Other)
const IGESDimen_Array1OfLeaderArrow & | operator= (const IGESDimen_Array1OfLeaderArrow &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(IGESDimen_LeaderArrow)&Value)
const Handle_IGESDimen_LeaderArrow & | Value (const Standard_Integer Index) const
const Handle_IGESDimen_LeaderArrow & | operator() (const Standard_Integer Index) const
Handle_IGESDimen_LeaderArrow & | ChangeValue (const Standard_Integer Index)
Handle_IGESDimen_LeaderArrow & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | IGESDimen_Array1OfLeaderArrow (const IGESDimen_Array1OfLeaderArrow &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT IGESDimen_Array1OfLeaderArrow::IGESDimen_Array1OfLeaderArrow | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT IGESDimen_Array1OfLeaderArrow::IGESDimen_Array1OfLeaderArrow | ( | const Handle(IGESDimen_LeaderArrow)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

IGESDimen_Array1OfLeaderArrow::~IGESDimen_Array1OfLeaderArrow | ( |  | ) | `[inline]`

Standard_EXPORT IGESDimen_Array1OfLeaderArrow::IGESDimen_Array1OfLeaderArrow | ( | const IGESDimen_Array1OfLeaderArrow & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const IGESDimen_Array1OfLeaderArrow& IGESDimen_Array1OfLeaderArrow::Assign | ( | const IGESDimen_Array1OfLeaderArrow & | Other | ) |

Handle_IGESDimen_LeaderArrow& IGESDimen_Array1OfLeaderArrow::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void IGESDimen_Array1OfLeaderArrow::Destroy | ( |  | ) |

Standard_EXPORT void IGESDimen_Array1OfLeaderArrow::Init | ( | const Handle(IGESDimen_LeaderArrow)& | V | ) |

Standard_Boolean IGESDimen_Array1OfLeaderArrow::IsAllocated | ( |  | ) | const

Standard_Integer IGESDimen_Array1OfLeaderArrow::Length | ( |  | ) | const

Standard_Integer IGESDimen_Array1OfLeaderArrow::Lower | ( |  | ) | const

void IGESDimen_Array1OfLeaderArrow::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESDimen_Array1OfLeaderArrow::operator new | ( | size_t | size | ) | `[inline]`

void* IGESDimen_Array1OfLeaderArrow::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_IGESDimen_LeaderArrow& IGESDimen_Array1OfLeaderArrow::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_IGESDimen_LeaderArrow& IGESDimen_Array1OfLeaderArrow::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const IGESDimen_Array1OfLeaderArrow& IGESDimen_Array1OfLeaderArrow::operator= | ( | const IGESDimen_Array1OfLeaderArrow & | Other | ) | `[inline]`

void IGESDimen_Array1OfLeaderArrow::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(IGESDimen_LeaderArrow)& | Value
| ) |

Standard_Integer IGESDimen_Array1OfLeaderArrow::Upper | ( |  | ) | const

const Handle_IGESDimen_LeaderArrow& IGESDimen_Array1OfLeaderArrow::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean IGESDimen_Array1OfLeaderArrow::isAllocated `[private]`

Standard_Integer IGESDimen_Array1OfLeaderArrow::myLowerBound `[private]`

Standard_Address IGESDimen_Array1OfLeaderArrow::myStart `[private]`

Standard_Integer IGESDimen_Array1OfLeaderArrow::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- IGESDimen_Array1OfLeaderArrow.hxx